package com.ruoyi.api.mapper;

import com.ruoyi.api.domain.APKVersion;
import com.ruoyi.api.domain.ApiUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by wangh on 2021/4/26-9:32。
 */
@Repository
public interface LoginMapper {
    String login_findSalt(String name);

    int login_getUser(@Param("name") String name, @Param("passw") String passw);

    List<String> selectMenuNameByUserID(Integer userID);

    APKVersion getVersion();

    List<String> selectMenuName();

}
